package com.yinet.review.mapper;

import com.yinet.review.domain.FormReview;
import java.util.List;

/**
 * 评审项目Mapper接口
 * 
 * @author yinet
 * @date 2020-04-28
 */
public interface FormReviewMapper 
{
    /**
     * 查询评审项目
     * 
     * @param id 评审项目ID
     * @return 评审项目
     */
    public FormReview selectFormReviewById(Long id);

    /**
     * 查询评审项目列表
     * 
     * @param formReview 评审项目
     * @return 评审项目集合
     */
    public List<FormReview> selectFormReviewList(FormReview formReview);

    /**
     * 新增评审项目
     * 
     * @param formReview 评审项目
     * @return 结果
     */
    public int insertFormReview(FormReview formReview);

    /**
     * 修改评审项目
     * 
     * @param formReview 评审项目
     * @return 结果
     */
    public int updateFormReview(FormReview formReview);

    /**
     * 删除评审项目
     * 
     * @param id 评审项目ID
     * @return 结果
     */
    public int deleteFormReviewById(Long id);

    /**
     * 批量删除评审项目
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteFormReviewByIds(String[] ids);
}
